Bug 806648 - Rescue mode should have fsck.vfat for EFI System Partition
Rescue mode should have fsck.vfat for EFI System Partition
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 13:47 EDT by John Reiser
Modified: 2013-07-04 09:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: lorax-17.15-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-24 07:23:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2012-03-25 13:47:08 EDT
Description of problem: Rescue mode lacks fsck.vfat, so it is hard to diagnose or fix problems with EFI boot.  The EFI System Partition must be vfat (usually, FAT16.)  All binaries in package dosfstools (dosfsck, dosfslabel, mkdosfs) are useful in this case.


Version-Release number of selected component (if applicable):
lorax-17.12-1.fc17.x86_64


How reproducible: every time


Steps to Reproduce:
1. Boot Rescue mode on box with EFI boot.
2. Try to fsck the EFI System Partition (often /dev/sda1).
3.
  
Actual results: fsck.vfat: not found


Expected results: Check of EFI System Partition.


Additional info:
Comment 1 Fedora Update System 2012-04-20 04:01:08 EDT
lorax-17.15-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lorax-17.15-1.fc17
Comment 2 Fedora Update System 2012-04-21 17:05:54 EDT
Package lorax-17.15-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lorax-17.15-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6336/lorax-17.15-1.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-04-23 15:00:39 EDT
lorax-17.16-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lorax-17.16-1.fc17

Note You need to log in before you can comment on or make changes to this bug.